KWIN_SET_GC_X(3)

FUNCTION
kwin_set_gc_x - Set Graphics Context for an X-based pixel canavas.

SYNOPSIS
#include <karma_kwin.h>

void kwin_set_gc_x

(KPixCanvas canvas, GC gc)

DESCRIPTION
This routine will register a new Graphics Context to be used when drawing into the pixel canvas. Subsequent drawing operations will use the new Graphics Context.

canvas
    The canvas.

gc  The Graphics Context.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
This routine is only available with the X window system.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/